Bug 223078 - Obsoletion of httpd-suexec in WAS 1.0 results in dependency issue on Plesk systems.
Obsoletion of httpd-suexec in WAS 1.0 results in dependency issue on Plesk sy...
Status: CLOSED ERRATA
Product: Red Hat Web Application Stack
Classification: Retired
Component: httpd (Show other bugs)
v1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Greg Nichols
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-17 14:53 EST by Brandon Ewing
Modified: 2007-04-18 13:57 EDT (History)
0 users

See Also:
Fixed In Version: RHEA-2007-0084
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-19 13:30:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brandon Ewing 2007-01-17 14:53:05 EST
Description of problem:
Web Application Stack Beta 1.0 for x86 httpd RPM obsoletes httpd-suexec package,
but does not provide it, causing dependency issues with platforms such as Plesk.

Version-Release number of selected component (if applicable):
httpd-2.0.55-2.el4s1.8.i386.rpm

How reproducible:
Install plesk on server, subscribe server to WAS 1.0 Beta channel, attempt to
update.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Downloading headers to solve dependencies...
There was a package dependency problem. The message was:

Unresolvable chain of dependencies:
psa  8.0.0-rhel4.build80060425.18        requires httpd-suexec


Expected results:
Expected httpd to provide httpd-suexec to satisfy dependency.  It did not.

Additional info:
Comment 1 Joe Orton 2007-01-29 05:13:18 EST
Thanks for the report.
Comment 2 Gurhan Ozen 2007-02-16 17:23:24 EST
This is fixed in httpd-2.0.59-1 which should be in the Web Application Stack
channel. 
Comment 4 Red Hat Bugzilla 2007-02-19 13:30:17 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0084.html

Note You need to log in before you can comment on or make changes to this bug.